<?php

namespace Drupal\qtools_cache_profiler;

use Drupal\Core\DependencyInjection\ContainerBuilder;
use Drupal\Core\DependencyInjection\ServiceProviderBase;
use Symfony\Component\DependencyInjection\Reference;

/**
 * Modifies ServiceProviderBase service.
 *
 * @package Drupal\qtools_cache_profiler
 */
class QtoolsCacheProfilerServiceProvider extends ServiceProviderBase {

  /**
   * {@inheritdoc}
   */
  public function alter(ContainerBuilder $container) {

    // Overrides render_cache service with one that logs cache calls.
    $definition = $container->getDefinition('render_cache');
    $definition->setClass(PlaceholderingRenderCacheWrapper::class)
      ->addArgument(new Reference(PerformanceService::class));

    // Overrides renderer service so we can output render info on the page.
    $definition = $container->getDefinition('renderer');
    $definition->setClass(Renderer::class);
  }

}
